Subject: acka-research-digest V2 #204
From: [email-masked] (acka-research-digest)
To: [email-masked]

acka-research-digest    Tuesday, December 16 1997    Volume 02 : Number 204

----------------------------------------------------------------------

Date: Tue, 16 Dec 1997 10:03:28 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka: RFC: Org reorg 2nd draft

It has many of the same weaknesses. There is no smooth transition from
the current state to the new state, Founding a Church requires the Founder
to have a building first, which will result in the Church having two of
them. 

On Mon, 15 Dec 1997, Tom Walmsley wrote:

> Here's my second draft. I think I've modified everything suggested.
> Except for Niccolo Flychuck's proposals which are currently in the
> queue. What exact changes do you want me to make regarding them? Most
> of the bits in square brackets won't be part ofthe actual proposals
> and are just notes for the draft. As always comments are welcome, nay,
> required?
> 
> 
> The Gingham Wearer.
> 
> 
> Repeal rule 1003
> Repeal rule 1005
> Repeal rule 1009
> Repeal rule 1011
> Repeal rule 1013
> Repeal rule 1015
> Repeal rule 1301
> Repeal rule 1303 if it exists
> 
> Create a new rule numbered 1001 entitled "Organizations" reading as
> follows:
> 
> "
> Organizations are unownable, named entities. 
> 
> 1. Forming an Organization 
> 
> Any player may announce eir intention to form an organisation by
> publicly posting that they intend to do so, stating which type of
> organization e plans to form, and what the intended name for the
> organization will be (the name must be a legal name).E then becomes the
> Proto-founder. Any other player maystate eir intent to join such an
> organization. The Proto-founder may at any time form an organization by
> publicly posting that e is doing so, announcing what type of
> organization it is to be (which must be the same type as when e posted
> eir intentionto found the organization), announcing the name of the
> organization (which must be the same as when e posted eir intention to
> found the organization), and who is to be a member. All members must
> have publicly stated their intent to join. If the Proto-founder has
> enough Ackadollars to form the type of organization intended then e
> pays that amount to the treasury and e becomes the Founder. If e has
> insufficient funds then no money is transferred to the treasury and no
> organization is formed. All organizations must have at least three
> members. If it ever has fewer than three members then it becomes a
> collection. Such organizations are known as Player-sanctioned
> Organizations.
> 
> Alternatively, an Organization may be created and defined by other
> Rules. Such Organizations are called Rule-sanctioned Organizations. A
> Rule-sanctioned Organization does not necessarily have a Founder nor
> does it necessarily have at least three members. 
> 
> Any player may request membership in an Organization. The Organization
> may then grant the request as a public action. When a request for
> membership is granted, the player becomes a member of the Organization.
> 
> A player-sanctioned Organization may, as a public action, give a
> particular member the ability to grant any request for membership in
> that Organization, without waiting around for the consent of the rest
> of the members. A player-sanctioned Organization may also, as a public
> action, establish an open admissions policy, which means that anyone
> can join that Organization at any time. 
> 
> 2. Organization Disbandment 
> 
> The rules may call for the disbandment of an Organization. When an
> Organization is disbanded, everything owned by the Organization is
> transferred to the Treasury, and the Organization isthen no more. 
> [This is to cut down on scams. Remember, under normal circumstances an
> org won't be disbanded, it will become a collection.]
> 
> 3. Organization Size 
> 
> The Size of an Organization is the number of members it has. Terms such
> as 'larger'and 'smallest', when applied to Organizations, refer to the
> Sizes of the Organizations being compared. [For example, to say that
> one organization is larger than another is to say that it has more
> members.] 
> 
> The Active Size of an Organization is thenumber of Players who are
> members of that Organization and are not on vacation. 
> 
> 4. Organization Similarity 
> 
> For any two Organizations X and Y, orgsim(X, Y) is defined as the
> percentage of members of X who are also members of Y, except for the
> case where X and Y are the same, in which case it is defined to be 0. 
> 
> The H Similarity between two Organizations, A and B, is the greater of
> orgsim(A, B) and orgsim(B, A). 
> 
> The L Similarity between two Organizations, A and B, is the lesser of
> orgsim(A, B) and orgsim(B, A). 
> 
> The M Similarity between two Organizations, A and B, is the average of
> orgsim(A, B) and orgsim(B, A). 
> 
> 5. Player Liberty Clause 
> 
> No player may become a member of an Organization without first
> expressing their consentto joining it. A player may leave an
> Organization of which he or she is a member at any time. 
> 
> When an Organization is called on to vote, it has 7 days to conduct and
> publicly report the results of the vote, and how each member voted,
> unless the rules call for a different amount of time. If everyone who
> is eligible to cast a vote in a given has done so, the results may be
> announced before the voting period ends. For the purposes of this rule,
> the composition of an Organization is taken to be itscomposition at
> the end of any voting or decision period. Acting members are considered
> to be members in place of the members they are acting for. 
> "
> [While maybe not all that useful at the moment this could have uses in
> the future so I believe it should be kept]
> 
> 
> Create a new rule numbered 1002 entitled "Types of organizations",
> reading as follows:
> 
> "
> The following are types of Organization:
> 
> 1. Social Clubs
> 2. Churches
> 3. Political Parties
> "
> 
> Create a new rule numbered 1003 entitled,"Founding costs" which reads
> as follows:
> 
> "
> The cost to set up an organization is as follows:
> 1. A political party costs A$300.
> 2. A social club is free to set up.
> 3. A church doesn't require any money to found but it does requires
> that the founder owns a cosy building to become the church. This
> building becomes possession of the church if and when it is formed and
> may never be possessed by any entity other than the church in question.
> A player may not use eir house for this purpose. If a player tries to
> found a church and doesn't own such a building then the attempt fails.
> "
> 
> Create a new rule numbered 1004 entitled, "Politics and party unity"
> reading as follows:
> 
> " 
> It is a Crime to be a member of more than one Political Party at once. 
> 
> At the end of a proposal's voting period, but before votes on that
> proposal are counted, if every active non-vacationing player member of
> a given Political Party voted in the same way on that proposal, and no
> member of the Party is also a memberof some other Party, then the
> Political
> Party itself shall cast an additional vote on that proposal in the same
> manner as all the players from the party for every three active
> non-vacationing player members it has. 
> 
> Party membership and how players voted are determined based on the
> facts in force at the end of the voting period for each proposal. 
> 
> A political party is permitted to own and trade Ackadollars and own
> powers but no other entities.
> 
> [This is for actions such as guarding proposals]
> 
> A political party that becomes a collection is known as a pressure
> group.
> 
> If a political party gains one or more unity votes against a proposal
> for over fifty percent of proposals for which other political parties
> do not gain a unity vote of any sort in a week then the political party
> is disbanded.
> [My best attempt at avoiding the possibility of a repeat of the problem
> with the underworld...]
> "
> 
> 
> Create a new rule numbered 1005 and entitled Churches reading as
> follows:
> 
> "
> 1. In addition to the elements normally required to form a church it is
> also necessary to publicly post a document called Church Dogma or an
> explicit statement that the church has no dogma. Church Dogma includes
> any information concerning the Church that the Church wishes to make
> public. 
> 
> 2. a. Each Church may have a Church Policy. 
> 
> b. Church Policy is an internal Church document. 
> 
> c. A Player who disobeys the Church Policy of a Church of which e is a
> member is guilty of Iconoclasm, which is a Crime. It is impermissible
> for a Player to take a game action which constitutes Iconoclasm if he
> or she has any legal alternative which would not constitute Iconoclasm.
> [That is, Iconoclasm normally doesn't happen unless there is no
> alternative. It is possible for a player to commit Iconoclasm by
> inaction, though.] 
> 
> d. The initial Church Policy will be set by the Founder. Church Policy
> may only change according to Church Policy. 
> 
> e. A Church is not obliged to divulge Church Policy, in whole or in
> part, in a public forum. 
> 
> f. Church Policy has no effect over the power to ordain Priests. It
> cannot take this power away from the Founder, neither can it give this
> power to anyone else. 
> 
> g. Church Policy cannot prevent a Church member from leaving a Church
> or penalize em for doing so. 
> 
> 3. a. The Church Founder has the power to ordain Priests, and to strip
> Priests of their Priestly status (which is called defrocking). The
> Church Founder also has the power to expel Players from eir Church;
> this is called Excommunication. 
> 
> b. A Founder may ordain a Player as a Priest, defrock a Player who is a
> Priest, or Excommunicate a Player, if and only if that Player is a
> member of eir Church. 
> 
> c. The Founder may delegate any of his duties or authorities to the
> Priesthood, except for the power to ordain Priests, to defrock Priests
> and to Excommunicate. 
> 
> d. In the absence of the Founder, the most senior Priest will perform
> the duties, and have the authority of the Founder, except for the power
> to ordain Priests. If seniority is not defined in Church Policy, then
> the most senior Priest, will the one who has been Priest for the
> longest duration of time. 
> 
> e. If a decision is to be made by the Priesthood, and no method for
> making such decisions is defined in Church Policy, then the decision
> will be made by a simple majority rule. In case of a tie, then
> seniority is taken into account. If seniority is not defined in Church
> Policy, then the seniority of a Priest will be defined as the length of
> time that has passed since that Player has been ordained as a Priest in
> that Church. If there is still a tie after this, then the Founder will
> break the tie. 
> 
> 4. a. A Church may define its own alternative terminology for the
> Church specific terms defined in this rule. 
> 
> b. Any terms that the Church intends to use in a public forum, must be
> defined in Church Dogma. 
> 
> c. If undefined terminology is used by Church members in a public
> forum, any player may publicly request the Church to provide an
> explanation of that term. Members of the Church may respond to this
> however they like, and any such response has the official Ackanomic
> Seal of Politeness, regardless of how brain-stoppingly offensive it is.
> 
> 
> d. A Church mailing list is not considered a public forum. 
> 
> 5. A player may not be a member of more than one Church at the same
> time. 
> 
> 6. a. A collection that was a church when it was an organization is
> called a cult.
> 
> b. If a Church ever has fewer than one Priest, it is transformed into a
> Cult. (This section of this rules takes precedence over all other rules
> specifying what defines a cult and how a cult comes into being).
> 
> c. For purposes of membership, the Church Founder is considered a
> Priest. 
> 
> d. Any function thatcan be performed by a Priest, can also be
> performed by the Church Founder. 
> 
> e. Any Priest who leaves a Church cease to a Priest. 
> 
> f. A player who joins a Cult and was previously a Priest or a Founder
> of the Church that was transformed into that Cult, becomes a Priest of
> that Cult. 
> 
> g. A cult may only transform itself back into a church only if it
> contains a priest in addition to sufficient members as stated in rule
> 1006.
> 
> 9. A Church may own and trade currency, gadgets and trinkets and may
> own powers. If Church policy is silent about the managing the Church's
> Currency and trinkets, then
> the Church Founder manages the Church's Currency and trinkets. 
> "
> 
> Create a new rule numbered 1006, entitled, "Collections" reading as
> follows:
> 
> "
> Collections are unownable, named entities. 
> 
> A collection may only be created by an organization dropping below
> three members. When such a collection is created it has the same name
> as the organization from which it was formed, owns all the same things
> as the organization from which it was formed, is of the same type as
> the organization from which it was formed and has the same players as
> the organization from which it was formed.
> 
> Whenever a collection has three members it becomes an organization
> again. Whenever a collection has fewer than one member it is disbanded.
> Collections are disbanded in the same way as organizations. 
> 
> Collections may not make any actions except accepting new members or
> changing policy.
> "
> 
> Modify rule 1007 such that the word "tradable" is changed to
> "non-tradable", the sentence "All Organizations can own Powers." is
> changed to "Churches, cults, political parties and pressure groups can
> own powers but only Churches and Political Parties may use them."
> 
> [Note that at the moment there are no powers. This is primarily so that
> they can be added later. They are non tradable because to do otherwise
> would create megalithic amounts of scams.]
> 
> ------------------------------
> 

------------------------------

Date: Tue, 16 Dec 1997 08:59:41 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2529

On Tue, 16 Dec 1997, Brian Raiter wrote:

> Proposal 2529
> I'm Batman!
> Vynd (John McCoy)
> 
> Create a new Rule named The Caped Crusader, numbered 705, with the
> following text, delimited by CLARK.
> 
> CLARK
> 
> There exists a shadowing figure known as the Caped Crusader.  The bane of
> criminals everywhere, the Caped Crusader is a hard-hitting vigilante on a
> mission to eliminate Crime in Ackanomic.

Right.  Given the "full" name of SPAM, I would suggest that all SPAMmers
fall behind a single candidate in the election, so that SPAM can pursue
its goal of being "tough on crime, tee hee".

- --
Duncan "" Richer aka
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University

------------------------------

Date: Tue, 16 Dec 1997 09:45:29 +0000 ()
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Proposal 2507

On Sat, 13 Dec 1997, Brian Raiter wrote:

> Proposal 2507
> New Ackan Logic
> /dev/joe (Joseph DeVincentis)

> Amend Rule 211, "Invoking Judgement", by inserting the following sentence
> immediately after the first sentence of the third paragraph:
> 
> "CFJ's with mu statements shall be judged Invalid."

Interesting choice of verdicts:

TRUE => TRUE
FALSE => FALSE
MU => INVALID

Why not create a new verdict of MU?

- --
Duncan "" Richer aka
Duncan C. Richer - aka Slakko the Lost Warner Brother - Now Really Lost!
Queens' College -- PhD, Pure Maths, Graph Theory -- Cambridge University

------------------------------

Date: Tue, 16 Dec 1997 11:44:33 -0500 (EST)
From: John Frederic Mc Coy <[email-masked]>
Subject: Re: Acka: Proposal 2507

On Tue, 16 Dec 1997, Duncan Richer wrote:

> On Sat, 13 Dec 1997, Brian Raiter wrote:
> 
> > Proposal 2507
> > New Ackan Logic
> > /dev/joe (Joseph DeVincentis)
> 
> > Amend Rule 211, "Invoking Judgement", by inserting the following sentence
> > immediately after the first sentence of the third paragraph:
> > 
> > "CFJ's with mu statements shall be judged Invalid."
> 
> Interesting choice of verdicts:
> 
> TRUE => TRUE
> FALSE => FALSE
> MU => INVALID
> 
> Why not create a new verdict of MU?
> 

Well, there are still other reasons to reach a verdict of INVALID.  And by
placing a defnition of Mu in the customs Rule, /dev/joe is giving it
meaning beyond a verdict for a CFJ.

                                  - Vynd

[email-masked]

------------------------------

Date: Tue, 16 Dec 1997 20:10:13 -0500
From: Towsner <[email-masked]>
Subject: Acka: First draft of Corporation Rules

The first draft is (drum roll please):

Create a rule 1020 entitled Corporations, delimited by BIG
BIG
a) Corporations are named, unownable entities.  Corporations may own only
tradeable items.
b) A player may create a Corporation by announcing publicly that they
intend to do so, and specifying an unused name for the Corporation.  If the
player has A$150, then the Corporation is created with the specified name
and a null charter.  Otherwise the Corporation is not created.  When a
Corporation is created, the player who created it pays A$150 to the
treasury.  100 shares in the Corporation are created and given to the
player who created the Corporation.
c) Corporations may only perform actions as specified in the rules.  There
are two types of Corporate actions, privilaged and normal.  A Corporation,
as an action may offer, accept, or refuse the transfer of any entity.  As
an action it may give gift items to any entity capable of recieving them.
As an action it may use any Corporate *** it owns.  As an action it may
express approval for a suggestion or make suggestion to any Corporation it
owns at least one share in.  As an action in may cast a Bonus Vote it owns
on any proposal if it has not cast a Bonus Vote in the last three days.  As
an action it may declare bankruptcy or change its charter.  All of these
are normal actions except for offering or giving entities, changing its
charter, and declaring bankruptcy, which are all privileged.
d) Any time a Corporation gives or recieves a gift item with a value in A$
specified in the rules, it pays a tax to the treasury of 1% in A$ of the
value of the transfer, rounded up.  As long as a Corporation has a negative
amount of money, it may not perform any action which would require it to
pay a tax.  Corporations pay a fee of A$1/per share for each share the give
of recieve in a Corporation other than themself.  Each Corporation is taxed
at the end of each cycle as if were a player.
e) In order for a Corporation to perform an action, it must be suggested by
a player as a public action.  Players support the action by publicly
announcing their support, and specifying exactly what suggestion they're
supporting.  A normal action occurs when players and Corporations owning
more than half of the shares not owned by the Treasury or by itself support
the action, a privilaged action when 80% support it.
f) When a Corporation declares bankruptcy or is otherwise destroyed, its
properties are distributed as specified in the charter.  Properties given
away in accordance to the charter are not taxed.  Any properties not
accounted for in the charter are given to the Treasury.  If the corporation
has a null charter when it is destoryed, than all its properties are given
to the treasury.
g) Every Corporation has a charter.  The charter may only give properties
away.  It may not perform any other action.
BIG

Create a rule 1022 entitled Shares, delimited by BUSINESS
BUSINESS
Shares are nameless, gift entities which may only be created as specified
in the rules.  Shares must be associated with exactly one Corporation.
BUSINESS

Create a rule 1024 entitled Corporate [I'm stuck on this.  What should they
be called?], delimited by AWORD
AWORD
Corporate **** are nameless, tradeable entities.  They may only be created
as specified in the rules.
Where the rules say that an Organization may buy a Power of a certain type,
what is meant is that the Organization may, as an action, contribute an
amount of currency to the Treasury in exchange for a new Power of the type
specified, which is then created in that Organization's possession.
AWORD

{{For each organization currently in existance which own a trade license, a
Corporation will be created with the same name.  Everthing owned by the
organization will be transferred to the Corporation.  The Corporation will
recieve 100-x shares in itself, where x is the largest number smaller than
100 which is evenly divisible by the number of members of the organization.
Each member of the organization will recieve x divided by the number of
members shares in the corporation.  The organization will then be
destroyed.}}

{{[There are no current Corporate ****.  I'll propose Secret labs as a
seperate proposal.]}}

A few questions.
What do people think of Corporate taxes?  Keep them?  Raise the rate?
Any suggestions for Corporate ****, along with a replacement for ****.
Should Corporations be able to join organizations?
And of course, will it work?

- --
Omnium pro iure, ius pro omnio

- -Henry Towsner

	<[email-masked]>

	"I think the true test of a genius is the ability to see the
follies of one's own times.  The ability to change one's own times is the
true test of a leader.  And the ability to do both is the true test of a
visionary who will never be elected."
	-Marilyn vos Savant

------------------------------

End of acka-research-digest V2 #204
***********************************